import { DataPreview, Data } from './Encode.js';

declare function Table<T extends object>(data: T): {
    table: Record<string, Record<string, DataPreview.Record | DataPreview.Error | DataPreview.RegExp | DataPreview.Collection | DataPreview.Array | DataPreview.Function | DataPreview.Element | DataPreview.Promise | DataPreview.Date | DataPreview.TypedArray | DataPreview.Buffer | DataPreview.DataView | Data.String | Data.Number | Data.BigInt | Data.Symbol | Data.Nill>>;
    cols: string[];
};

export { Table };
